Index: include/asterisk/app.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/app.h,v
retrieving revision 1.24
diff -u -r1.24 app.h
--- include/asterisk/app.h	10 Jan 2005 14:46:59 -0000	1.24
+++ include/asterisk/app.h	15 Jan 2005 05:16:00 -0000
@@ -18,7 +18,7 @@
 #if defined(__cplusplus) || defined(c_plusplus)
 extern "C" {
 #endif
-//! Plays a stream and gets DTMF data from a channel
+/*! Plays a stream and gets DTMF data from a channel  */
 /*!
  * \param c Which channel one is interacting with
  * \param prompt File to pass to ast_streamfile (the one that you wish to play)
@@ -36,7 +36,7 @@
 /* Full version with audiofd and controlfd.  NOTE: returns '2' on ctrlfd available, not '1' like other full functions */
 extern int ast_app_getdata_full(struct ast_channel *c, char *prompt, char *s, int maxlen, int timeout, int audiofd, int ctrlfd);
 
-//! Record voice (after playing prompt if specified), waiting for silence (in ms) up to a given timeout (in s) or '#'
+/*! Record voice (after playing prompt if specified), waiting for silence (in ms) up to a given timeout (in s) or '#' */
 int ast_app_getvoice(struct ast_channel *c, char *dest, char *dstfmt, char *prompt, int silence, int maxsec);
 
 void ast_install_vm_functions(int (*has_voicemail_func)(const char *mailbox, const char *folder),
@@ -44,56 +44,56 @@
   
 void ast_uninstall_vm_functions(void);
 
-//! Determine if a given mailbox has any voicemail
+/*! Determine if a given mailbox has any voicemail */
 int ast_app_has_voicemail(const char *mailbox, const char *folder);
 
-//! Determine number of new/old messages in a mailbox
+/*! Determine number of new/old messages in a mailbox */
 int ast_app_messagecount(const char *mailbox, int *newmsgs, int *oldmsgs);
 
-//! Safely spawn an external program while closingn file descriptors
+/*! Safely spawn an external program while closingn file descriptors */
 extern int ast_safe_system(const char *s);
 
-//! Send DTMF to chan (optionally entertain peer)  
+/*! Send DTMF to chan (optionally entertain peer)  */
 int ast_dtmf_stream(struct ast_channel *chan, struct ast_channel *peer, char *digits, int between);
 
-//! Stream a filename (or file descriptor) as a generator.
+/*! Stream a filename (or file descriptor) as a generator.  */
 int ast_linear_stream(struct ast_channel *chan, const char *filename, int fd, int allowoverride);
 
-//! Stream a file with fast forward, pause, reverse.
+/*! Stream a file with fast forward, pause, reverse. */
 int ast_control_streamfile(struct ast_channel *chan, const char *file, const char *fwd, const char *rev, const char *stop, const char *pause, int skipms);
 
-//! Play a stream and wait for a digit, returning the digit that was pressed
+/*! Play a stream and wait for a digit, returning the digit that was pressed */
 int ast_play_and_wait(struct ast_channel *chan, const char *fn);
 
-//! Record a file for a max amount of time (in seconds), in a given list of formats separated by '|', outputting the duration of the recording, and with a maximum
-//  permitted silence time in milliseconds of 'maxsilence' under 'silencethreshold' or use '-1' for either or both parameters for defaults.
+/*! Record a file for a max amount of time (in seconds), in a given list of formats separated by '|', outputting the duration of the recording, and with a maximum */
+/*  permitted silence time in milliseconds of 'maxsilence' under 'silencethreshold' or use '-1' for either or both parameters for defaults.  */
 int ast_play_and_record(struct ast_channel *chan, const char *playfile, const char *recordfile, int maxtime_sec, const char *fmt, int *duration, int silencethreshold, int maxsilence_ms);
 
-//! Record a message and prepend the message to the given record file after playing the optional playfile (or a beep), storing the duration in 'duration' and with a maximum
-//  permitted silence time in milliseconds of 'maxsilence' under 'silencethreshold' or use '-1' for either or both parameters for defaults.
+/*! Record a message and prepend the message to the given record file after playing the optional playfile (or a beep), storing the duration in 'duration' and with a maximum */
+/*  permitted silence time in milliseconds of 'maxsilence' under 'silencethreshold' or use '-1' for either or both parameters for defaults. */
 int ast_play_and_prepend(struct ast_channel *chan, char *playfile, char *recordfile, int maxtime_sec, char *fmt, int *duration, int beep, int silencethreshold, int maxsilence_ms);
 
 #define GROUP_CATEGORY_PREFIX "GROUP"
 
-//! Split a group string into group and category, returning a default category if none is provided.
+/*! Split a group string into group and category, returning a default category if none is provided. */
 int ast_app_group_split_group(char *data, char *group, int group_max, char *category, int category_max);
 
-//! Set the group for a channel, splitting the provided data into group and category, if specified.
+/*! Set the group for a channel, splitting the provided data into group and category, if specified. */
 int ast_app_group_set_channel(struct ast_channel *chan, char *data);
 
-//! Get the current channel count of the specified group and category.
+/*! Get the current channel count of the specified group and category. */
 int ast_app_group_get_count(char *group, char *category);
 
-//! Get the current channel count of all groups that match the specified pattern and category.
+/*! Get the current channel count of all groups that match the specified pattern and category.  */
 int ast_app_group_match_get_count(char *groupmatch, char *category);
 
-//! Create an argc argv type structure for app args
+/*! Create an argc argv type structure for app args */
 int ast_seperate_app_args(char *buf, char delim, char **array, int arraylen);
 
-//! Present a dialtone and collect a certain length extension.  Returns 1 on valid extension entered, -1 on hangup, or 0 on invalid extension.
+/*! Present a dialtone and collect a certain length extension.  Returns 1 on valid extension entered, -1 on hangup, or 0 on invalid extension. */
 int ast_app_dtget(struct ast_channel *chan, const char *context, char *collect, size_t size, int maxlen, int timeout);
 
-//! Allow to record message and have a review option
+/*! Allow to record message and have a review option */
 int ast_record_review(struct ast_channel *chan, const char *playfile, const char *recordfile, int maxtime, const char *fmt, int *duration);
 
 #if defined(__cplusplus) || defined(c_plusplus)
Index: include/asterisk/callerid.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/callerid.h,v
retrieving revision 1.9
diff -u -r1.9 callerid.h
--- include/asterisk/callerid.h	22 Oct 2004 19:45:39 -0000	1.9
+++ include/asterisk/callerid.h	15 Jan 2005 05:16:01 -0000
@@ -39,13 +39,13 @@
 struct callerid_state;
 typedef struct callerid_state CIDSTATE;
 
-//! CallerID Initialization
+/*! CallerID Initialization */
 /*!
  * Initializes the callerid system.  Mostly stuff for inverse FFT
  */
 extern void callerid_init(void);
 
-//! Generates a CallerID FSK stream in ulaw format suitable for transmission.
+/*! Generates a CallerID FSK stream in ulaw format suitable for transmission. */
 /*!
  * \param buf Buffer to use. If "buf" is supplied, it will use that buffer instead of allocating its own.  "buf" must be at least 32000 bytes in size of you want to be sure you don't have an overrun.
  * \param number Use NULL for no number or "P" for "private"
@@ -57,7 +57,7 @@
 */
 extern int callerid_generate(unsigned char *buf, char *number, char *name, int flags, int callwaiting, int codec);
 
-//! Create a callerID state machine
+/*! Create a callerID state machine */
 /*!
  * \param cid_signalling Type of signalling in use
  *
@@ -66,7 +66,7 @@
  */
 extern struct callerid_state *callerid_new(int cid_signalling);
 
-//! Read samples into the state machine.
+/*! Read samples into the state machine.  */
 /*!
  * \param cid Which state machine to act upon
  * \param buffer containing your samples
@@ -79,7 +79,7 @@
  */
 extern int callerid_feed(struct callerid_state *cid, unsigned char *ubuf, int samples, int codec);
 
-//! Extract info out of callerID state machine.  Flags are listed above
+/*! Extract info out of callerID state machine.  Flags are listed above */
 /*!
  * \param cid Callerid state machine to act upon
  * \param number Pass the address of a pointer-to-char (will contain the phone number)
@@ -94,7 +94,7 @@
  */
 void callerid_get(struct callerid_state *cid, char **number, char **name, int *flags);
 
-//! Get and parse DTMF-based callerid 
+/*! Get and parse DTMF-based callerid  */
 /*!
  * \param cidstring The actual transmitted string.
  * \param number The cid number is returned here.
@@ -103,14 +103,14 @@
  */
 void callerid_get_dtmf(char *cidstring, char *number, int *flags);
 
-//! Free a callerID state
+/*! Free a callerID state */
 /*!
  * \param cid This is the callerid_state state machine to free
  * This function frees callerid_state cid.
  */
 extern void callerid_free(struct callerid_state *cid);
 
-//! Generate Caller-ID spill from the "callerid" field of asterisk (in e-mail address like format)
+/*! Generate Caller-ID spill from the "callerid" field of asterisk (in e-mail address like format) */
 /*!
  * \param buf buffer for output samples. See callerid_generate() for details regarding buffer.
  * \param astcid Asterisk format callerid string, taken from the callerid field of asterisk.
@@ -120,16 +120,16 @@
  */
 extern int ast_callerid_generate(unsigned char *buf, char *name, char *number, int codec);
 
-//! Generate message waiting indicator 
+/*! Generate message waiting indicator  */
 extern int vmwi_generate(unsigned char *buf, int active, int mdmf, int codec);
 
-//! Generate Caller-ID spill but in a format suitable for Call Waiting(tm)'s Caller*ID(tm)
+/*! Generate Caller-ID spill but in a format suitable for Call Waiting(tm)'s Caller*ID(tm) */
 /*!
  * See ast_callerid_generate for other details
  */
 extern int ast_callerid_callwaiting_generate(unsigned char *buf, char *name, char *number, int codec);
 
-//! Destructively parse inbuf into name and location (or number)
+/*! Destructively parse inbuf into name and location (or number) */
 /*!
  * \param inbuf buffer of callerid stream (in audio form) to be parsed. Warning, data in buffer is changed.
  * \param name address of a pointer-to-char for the name value of the stream.
@@ -139,7 +139,7 @@
  */
 extern int ast_callerid_parse(char *instr, char **name, char **location);
 
-//! Generate a CAS (CPE Alert Signal) tone for 'n' samples
+/*! Generate a CAS (CPE Alert Signal) tone for 'n' samples */
 /*!
  * \param outbuf Allocated buffer for data.  Must be at least 2400 bytes unless no SAS is desired
  * \param sas Non-zero if CAS should be preceeded by SAS
@@ -149,14 +149,14 @@
  */
 extern int ast_gen_cas(unsigned char *outbuf, int sas, int len, int codec);
 
-//! Shrink a phone number in place to just digits (more accurately it just removes ()'s, .'s, and -'s...
+/*! Shrink a phone number in place to just digits (more accurately it just removes ()'s, .'s, and -'s... */
 /*!
  * \param n The number to be stripped/shrunk
  * Returns nothing important
  */
 extern void ast_shrink_phone_number(char *n);
 
-//! Check if a string consists only of digits.  Returns non-zero if so
+/*! Check if a string consists only of digits.  Returns non-zero if so */
 /*!
  * \param n number to be checked.
  * Returns 0 if n is a number, 1 if it's not.
Index: include/asterisk/cdr.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/cdr.h,v
retrieving revision 1.17
diff -u -r1.17 cdr.h
--- include/asterisk/cdr.h	10 Jan 2005 14:46:59 -0000	1.17
+++ include/asterisk/cdr.h	15 Jan 2005 05:16:01 -0000
@@ -29,7 +29,7 @@
 #define AST_CDR_ANSWERED			(1 << 2)
 #define AST_CDR_FAILED				(1 << 3)
 
-//! AMA Flags
+/*! AMA Flags */
 #define AST_CDR_OMIT				(1)
 #define AST_CDR_BILLING				(2)
 #define AST_CDR_DOCUMENTATION			(3)
@@ -38,7 +38,7 @@
 
 struct ast_channel;
 
-//! Responsible for call detail data
+/*! Responsible for call detail data */
 struct ast_cdr {
 	/*! Caller*ID with text */
 	char clid[AST_MAX_EXTENSION];		
@@ -83,19 +83,19 @@
 
 typedef int (*ast_cdrbe)(struct ast_cdr *cdr);
 
-//! Allocate a record
+/*! Allocate a record */
 /*! 
  * Returns a malloc'd ast_cdr structure, returns NULL on error (malloc failure)
  */
 extern struct ast_cdr *ast_cdr_alloc(void);
 
-//! Free a record
+/*! Free a record */
 /* \param cdr ast_cdr structure to free
  * Returns nothing important
  */
 extern void ast_cdr_free(struct ast_cdr *cdr);
 
-//! Initialize based on a channel
+/*! Initialize based on a channel */
 /*! 
  * \param cdr Call Detail Record to use for channel
  * \param chan Channel to bind CDR with
@@ -104,7 +104,7 @@
  */
 extern int ast_cdr_init(struct ast_cdr *cdr, struct ast_channel *chan);
 
-//! Initialize based on a channel
+/*! Initialize based on a channel */
 /*! 
  * \param cdr Call Detail Record to use for channel
  * \param chan Channel to bind CDR with
@@ -113,7 +113,7 @@
  */
 extern int ast_cdr_setcid(struct ast_cdr *cdr, struct ast_channel *chan);
 
-//! Register a CDR handling engine
+/*! Register a CDR handling engine */
 /*!
  * \param name name associated with the particular CDR handler
  * \param desc description of the CDR handler
@@ -123,14 +123,14 @@
  */
 extern int ast_cdr_register(char *name, char *desc, ast_cdrbe be);
 
-//! Unregister a CDR handling engine
+/*! Unregister a CDR handling engine */
 /*!
  * \param name name of CDR handler to unregister
  * Unregisters a CDR by it's name
  */
 extern void ast_cdr_unregister(char *name);
 
-//! Start a call
+/*! Start a call  */
 /*!
  * \param cdr the cdr you wish to associate with the call
  * Starts all CDR stuff necessary for monitoring a call
@@ -138,28 +138,28 @@
  */
 extern void ast_cdr_start(struct ast_cdr *cdr);
 
-//! Answer a call
+/*! Answer a call */
 /*!
  * \param cdr the cdr you wish to associate with the call
  * Starts all CDR stuff necessary for doing CDR when answering a call
  */
 extern void ast_cdr_answer(struct ast_cdr *cdr);
 
-//! Busy a call
+/*! Busy a call */
 /*!
  * \param cdr the cdr you wish to associate with the call
  * Returns nothing important
  */
 extern void ast_cdr_busy(struct ast_cdr *cdr);
 
-//! Fail a call
+/*! Fail a call */
 /*!
  * \param cdr the cdr you wish to associate with the call
  * Returns nothing important
  */
 extern void ast_cdr_failed(struct ast_cdr *cdr);
 
-//! Save the result of the call based on the AST_CAUSE_*
+/*! Save the result of the call based on the AST_CAUSE_* */
 /*!
  * \param cdr the cdr you wish to associate with the call
  * Returns nothing important
@@ -167,7 +167,7 @@
  */
 extern int ast_cdr_disposition(struct ast_cdr *cdr, int cause);
 	
-//! End a call
+/*! End a call */
 /*!
  * \param cdr the cdr you have associated the call with
  * Registers the end of call time in the cdr structure.
@@ -175,7 +175,7 @@
  */
 extern void ast_cdr_end(struct ast_cdr *cdr);
 
-//! Post the detail record
+/*! Post the detail record */
 /*! 
  * \param cdr Which cdr to post
  * Actually outputs the CDR record to the CDR plugins installed
@@ -183,7 +183,7 @@
  */
 extern void ast_cdr_post(struct ast_cdr *cdr);
 
-//! Set the destination channel, if there was one
+/*! Set the destination channel, if there was one */
 /*!
  * \param cdr Which cdr it's applied to
  * Sets the destination channel the CDR is applied to
@@ -191,7 +191,7 @@
  */
 extern void ast_cdr_setdestchan(struct ast_cdr *cdr, char *chan);
 
-//! Set the last executed application
+/*! Set the last executed application */
 /*!
  * \param cdr which cdr to act upon
  * \param app the name of the app you wish to change it to
@@ -201,7 +201,7 @@
  */
 extern void ast_cdr_setapp(struct ast_cdr *cdr, char *app, char *data);
 
-//! Convert a string to a detail record AMA flag
+/*! Convert a string to a detail record AMA flag */
 /*!
  * \param flag string form of flag
  * Converts the string form of the flag to the binary form.
@@ -209,7 +209,7 @@
  */
 extern int ast_cdr_amaflags2int(const char *flag);
 
-//! Disposition to a string
+/*! Disposition to a string */
 /*!
  * \param flag input binary form
  * Converts the binary form of a disposition to string form.
@@ -217,7 +217,7 @@
  */
 extern char *ast_cdr_disp2str(int disposition);
 
-//! Reset the detail record, optionally posting it first
+/*! Reset the detail record, optionally posting it first */
 /*!
  * \param cdr which cdr to act upon
  * \param flags |AST_CDR_FLAG_POSTED whether or not to post the cdr first before resetting it
@@ -225,7 +225,7 @@
  */
 extern void ast_cdr_reset(struct ast_cdr *cdr, int flags);
 
-//! Flags to a string
+/*! Flags to a string */
 /*!
  * \param flags binary flag
  * Converts binary flags to string flags
Index: include/asterisk/channel.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/channel.h,v
retrieving revision 1.71
diff -u -r1.71 channel.h
--- include/asterisk/channel.h	10 Jan 2005 14:46:59 -0000	1.71
+++ include/asterisk/channel.h	15 Jan 2005 05:16:02 -0000
@@ -31,7 +31,7 @@
 
 #include <asterisk/lock.h>
 
-//! Max length of an extension
+/*! Max length of an extension */
 #define AST_MAX_EXTENSION 80
 
 #include <asterisk/cdr.h>
@@ -73,7 +73,7 @@
 	int cid_tns;
 };
 
-//! Main Channel structure associated with a channel.
+/*! Main Channel structure associated with a channel. */
 /*! 
  * This is the side of it mostly used by the pbx and call management.
  */
@@ -329,7 +329,7 @@
 /*! Device is unavailable */
 #define AST_DEVICE_UNAVAILABLE	5
 
-//! Requests a channel
+/*! Requests a channel */
 /*! 
  * \param type type of channel to request
  * \param format requested channel format
@@ -340,7 +340,7 @@
  */
 struct ast_channel *ast_request(const char *type, int format, void *data, int *status);
 
-//! Search the Channels by Name
+/*! Search the Channels by Name */
 /*!
  * \param device like a dialstring
  * Search the Device in active channels by compare the channelname against 
@@ -350,7 +350,7 @@
  */
 int ast_parse_device_state(char *device);
 
-//! Asks a channel for device state
+/*! Asks a channel for device state */
 /*!
  * \param device like a dialstring
  * Asks a channel for device state, data is  normaly a number from dialstring
@@ -376,7 +376,7 @@
 
 struct ast_channel *__ast_request_and_dial(const char *type, int format, void *data, int timeout, int *reason, const char *cidnum, const char *cidname, struct outgoing_helper *oh);
 
-//! Registers a channel
+/*! Registers a channel */
 /*! 
  * \param type type of channel you are registering
  * \param description short description of the channel
@@ -395,7 +395,7 @@
 		struct ast_channel *(*requester)(const char *type, int format, void *data, int *cause),
 		int (*devicestate)(void *data));
 
-//! Unregister a channel class
+/*! Unregister a channel class */
 /*
  * \param type the character string that corresponds to the channel you wish to unregister
  * Basically just unregisters the channel with the asterisk channel system
@@ -403,7 +403,7 @@
  */
 void ast_channel_unregister(const char *type);
 
-//! Hang up a channel 
+/*! Hang up a channel   */
 /*! 
  * \param chan channel to hang up
  * This function performs a hard hangup on a channel.  Unlike the soft-hangup, this function
@@ -413,7 +413,7 @@
  */
 int ast_hangup(struct ast_channel *chan);
 
-//! Softly hangup up a channel
+/*! Softly hangup up a channel */
 /*! 
  * \param chan channel to be soft-hung-up
  * Call the protocol layer, but don't destroy the channel structure (use this if you are trying to
@@ -423,7 +423,7 @@
 int ast_softhangup(struct ast_channel *chan, int cause);
 int ast_softhangup_nolock(struct ast_channel *chan, int cause);
 
-//! Check to see if a channel is needing hang up
+/*! Check to see if a channel is needing hang up */
 /*! 
  * \param chan channel on which to check for hang up
  * This function determines if the channel is being requested to be hung up.
@@ -431,7 +431,7 @@
  */
 int ast_check_hangup(struct ast_channel *chan);
 
-//! Set when to hang a channel up
+/*! Set when to hang a channel up */
 /*! 
  * \param chan channel on which to check for hang up
  * \param offset offset in seconds from current time of when to hang up
@@ -439,7 +439,7 @@
  */
 void ast_channel_setwhentohangup(struct ast_channel *chan, time_t offset);
 
-//! Answer a ringing call
+/*! Answer a ringing call */
 /*!
  * \param chan channel to answer
  * This function answers a channel and handles all necessary call
@@ -448,7 +448,7 @@
  */
 int ast_answer(struct ast_channel *chan);
 
-//! Make a call
+/*! Make a call */
 /*! 
  * \param chan which channel to make the call on
  * \param addr destination of the call
@@ -460,7 +460,7 @@
    */
 int ast_call(struct ast_channel *chan, char *addr, int timeout);
 
-//! Indicates condition of channel
+/*! Indicates condition of channel */
 /*! 
  * \param chan channel to change the indication
  * \param condition which condition to indicate on the channel
@@ -471,7 +471,7 @@
 
 /* Misc stuff */
 
-//! Wait for input on a channel
+/*! Wait for input on a channel */
 /*! 
  * \param chan channel to wait on
  * \param ms length of time to wait on the channel
@@ -479,7 +479,7 @@
   Returns < 0 on  failure, 0 if nothing ever arrived, and the # of ms remaining otherwise */
 int ast_waitfor(struct ast_channel *chan, int ms);
 
-//! Wait for a specied amount of time, looking for hangups
+/*! Wait for a specied amount of time, looking for hangups */
 /*!
  * \param chan channel to wait for
  * \param ms length of time in milliseconds to sleep
@@ -488,7 +488,7 @@
  */
 int ast_safe_sleep(struct ast_channel *chan, int ms);
 
-//! Wait for a specied amount of time, looking for hangups and a condition argument
+/*! Wait for a specied amount of time, looking for hangups and a condition argument */
 /*!
  * \param chan channel to wait for
  * \param ms length of time in milliseconds to sleep
@@ -500,7 +500,7 @@
  */
 int ast_safe_sleep_conditional(struct ast_channel *chan, int ms, int (*cond)(void*), void *data );
 
-//! Waits for activity on a group of channels
+/*! Waits for activity on a group of channels */
 /*! 
  * \param chan an array of pointers to channels
  * \param n number of channels that are to be waited upon
@@ -515,17 +515,17 @@
    will be -1 */
 struct ast_channel *ast_waitfor_nandfds(struct ast_channel **chan, int n, int *fds, int nfds, int *exception, int *outfd, int *ms);
 
-//! Waits for input on a group of channels
+/*! Waits for input on a group of channels */
 /*! Wait for input on an array of channels for a given # of milliseconds. Return channel
    with activity, or NULL if none has activity.  time "ms" is modified in-place, if applicable */
 struct ast_channel *ast_waitfor_n(struct ast_channel **chan, int n, int *ms);
 
-//! Waits for input on an fd
+/*! Waits for input on an fd */
 /*! This version works on fd's only.  Be careful with it. */
 int ast_waitfor_n_fd(int *fds, int n, int *ms, int *exception);
 
 
-//! Reads a frame
+/*! Reads a frame */
 /*!
  * \param chan channel to read a frame from
  * Read a frame.  Returns a frame, or NULL on error.  If it returns NULL, you
@@ -533,7 +533,7 @@
    disconnected. */
 struct ast_frame *ast_read(struct ast_channel *chan);
 
-//! Write a frame to a channel
+/*! Write a frame to a channel */
 /*!
  * \param chan destination channel of the frame
  * \param frame frame that will be written
@@ -542,7 +542,7 @@
  */
 int ast_write(struct ast_channel *chan, struct ast_frame *frame);
 
-//! Write video frame to a channel
+/*! Write video frame to a channel */
 /*!
  * \param chan destination channel of the frame
  * \param frame frame that will be written
@@ -554,7 +554,7 @@
 /* Send empty audio to prime a channel driver */
 int ast_prod(struct ast_channel *chan);
 
-//! Sets read format on channel chan
+/*! Sets read format on channel chan */
 /*! 
  * \param chan channel to change
  * \param format format to change to
@@ -563,7 +563,7 @@
  */
 int ast_set_read_format(struct ast_channel *chan, int format);
 
-//! Sets write format on channel chan
+/*! Sets write format on channel chan */
 /*! 
  * \param chan channel to change
  * \param format new format for writing
@@ -572,7 +572,7 @@
  */
 int ast_set_write_format(struct ast_channel *chan, int format);
 
-//! Sends text to a channel
+/*! Sends text to a channel */
 /*! 
  * \param chan channel to act upon
  * \param text string of text to send on the channel
@@ -581,7 +581,7 @@
  */
 int ast_sendtext(struct ast_channel *chan, char *text);
 
-//! Receives a text character from a channel
+/*! Receives a text character from a channel */
 /*! 
  * \param chan channel to act upon
  * \param timeout timeout in milliseconds (0 for infinite wait)
@@ -593,7 +593,7 @@
 
 int ast_recvchar(struct ast_channel *chan, int timeout);
 
-//! Browse channels in use
+/*! Browse channels in use */
 /*! 
  * \param prev where you want to start in the channel list
  * Browse the channels currently in use 
@@ -602,10 +602,10 @@
  */
 struct ast_channel *ast_channel_walk_locked(struct ast_channel *prev);
 
-//! Get channel by name (locks channel)
+/*! Get channel by name (locks channel) */
 struct ast_channel *ast_get_channel_by_name_locked(char *channame);
 
-//! Waits for a digit
+/*! Waits for a digit */
 /*! 
  * \param c channel to wait for a digit on
  * \param ms how many milliseconds to wait
@@ -616,7 +616,7 @@
    reading. Returns 1 if ctrlfd becomes available */
 char ast_waitfordigit_full(struct ast_channel *c, int ms, int audiofd, int ctrlfd);
 
-//! Reads multiple digits
+/*! Reads multiple digits */
 /*! 
  * \param c channel to read from
  * \param s string to read in to.  Must be at least the size of your length
@@ -644,7 +644,7 @@
 #define AST_BRIDGE_IGNORE_SIGS			(1 << 4)		
 
 
-//! Makes two channel formats compatible
+/*! Makes two channel formats compatible */
 /*! 
  * \param c0 first channel to make compatible
  * \param c1 other channel to make compatible
@@ -652,7 +652,7 @@
    and -1 if it could not be done */
 int ast_channel_make_compatible(struct ast_channel *c0, struct ast_channel *c1);
 
-//! Bridge two channels together
+/*! Bridge two channels together */
 /*! 
  * \param c0 first channel to bridge
  * \param c1 second channel to bridge
@@ -661,10 +661,10 @@
  * \param rc destination channel(?)
  * Bridge two channels (c0 and c1) together.  If an important frame occurs, we return that frame in
    *rf (remember, it could be NULL) and which channel (0 or 1) in rc */
-//int ast_channel_bridge(struct ast_channel *c0, struct ast_channel *c1, int flags, struct ast_frame **fo, struct ast_channel **rc);
+/*int ast_channel_bridge(struct ast_channel *c0, struct ast_channel *c1, int flags, struct ast_frame **fo, struct ast_channel **rc); */
 int ast_channel_bridge(struct ast_channel *c0,struct ast_channel *c1,struct ast_bridge_config *config, struct ast_frame **fo, struct ast_channel **rc);
 
-//! Weird function made for call transfers
+/*! Weird function made for call transfers */
 /*! 
  * \param original channel to make a copy of
  * \param clone copy of the original channel
@@ -676,7 +676,7 @@
    channel is hung up.  */
 int ast_channel_masquerade(struct ast_channel *original, struct ast_channel *clone);
 
-//! Gives the string form of a given state
+/*! Gives the string form of a given state */
 /*! 
  * \param state state to get the name of
  * Give a name to a state 
@@ -690,7 +690,7 @@
    none or a subset of those features, and you should not count on this if you want your
    asterisk application to be portable.  They're mainly useful for tweaking performance */
 
-//! Sets an option on a channel
+/*! Sets an option on a channel */
 /*! 
  * \param channel channel to set options on
  * \param option option to change
@@ -702,32 +702,32 @@
  */
 int ast_channel_setoption(struct ast_channel *channel, int option, void *data, int datalen, int block);
 
-//! Checks the value of an option
+/*! Checks the value of an option */
 /*! 
  * Query the value of an option, optionally blocking until a reply is received
  * Works similarly to setoption except only reads the options.
  */
 struct ast_frame *ast_channel_queryoption(struct ast_channel *channel, int option, void *data, int *datalen, int block);
 
-//! Checks for HTML support on a channel
+/*! Checks for HTML support on a channel */
 /*! Returns 0 if channel does not support HTML or non-zero if it does */
 int ast_channel_supports_html(struct ast_channel *channel);
 
-//! Sends HTML on given channel
+/*! Sends HTML on given channel */
 /*! Send HTML or URL on link.  Returns 0 on success or -1 on failure */
 int ast_channel_sendhtml(struct ast_channel *channel, int subclass, char *data, int datalen);
 
-//! Sends a URL on a given link
+/*! Sends a URL on a given link */
 /*! Send URL on link.  Returns 0 on success or -1 on failure */
 int ast_channel_sendurl(struct ast_channel *channel, char *url);
 
-//! Defers DTMF
+/*! Defers DTMF */
 /*! Defer DTMF so that you only read things like hangups and audio.  Returns
    non-zero if channel was already DTMF-deferred or 0 if channel is just now
    being DTMF-deferred */
 int ast_channel_defer_dtmf(struct ast_channel *chan);
 
-//! Undeos a defer
+/*! Undeos a defer */
 /*! Undo defer.  ast_read will return any dtmf characters that were queued */
 void ast_channel_undefer_dtmf(struct ast_channel *chan);
 
@@ -823,7 +823,7 @@
 }
 #endif
 
-//! Waits for activity on a group of channels
+/*! Waits for activity on a group of channels */
 /*! 
  * \param nfds the maximum number of file descriptors in the sets
  * \param rfds file descriptors to check for read availability
Index: include/asterisk/channel_pvt.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/channel_pvt.h,v
retrieving revision 1.15
diff -u -r1.15 channel_pvt.h
--- include/asterisk/channel_pvt.h	23 Oct 2004 12:19:47 -0000	1.15
+++ include/asterisk/channel_pvt.h	15 Jan 2005 05:16:02 -0000
@@ -73,7 +73,7 @@
 	struct ast_channel * (*bridged_channel)(struct ast_channel *chan, struct ast_channel *bridge);
 };
 
-//! Create a channel structure
+/* ! Create a channel structure */
 /*! Returns NULL on failure to allocate */
 struct ast_channel *ast_channel_alloc(int needalertpipe);
 
@@ -89,7 +89,7 @@
 
 void ast_change_name(struct ast_channel *chan, char *newname);
 
-//! Free a channel structure
+/* ! Free a channel structure */
 void  ast_channel_free(struct ast_channel *);
 
 #if defined(__cplusplus) || defined(c_plusplus)
